<?php 
session_start();
require('headerHome.inc');
require('menuHome.inc');
?>

<center>
<h2>GeoThms - Geometry Framework</h2>
</center>


<?php
require('.gttu.php');

// coloca os valores de utilizador e senha nas variáveis de Sessão
$_SESSION['dbregular']=$dbregular;
$_SESSION['dbregpass']=$dbregpass;

 // faz a ligação ao servidor - como utilizador "regular"
@ $ligacao = mysql_connect("localhost",$dbregular,$dbregpass);

// Obtêm do formulário o nome e senha do utilizador GeoThms
$vUsername = "anonymous"; //$_POST['username'];
$vPassword = "anonymous"; //$_POST['password'];


if (mysql_errno()) { // verifica a ligação ao servidor
  echo "<p>Error: connection not possible</p>";
  flush();
  exit;
}
else {
  if (!mysql_select_db("GeoThms")) { // verifica a ligação à Base de Dados
    $msg=mysql_error();
    echo $msg;
    echo '<p>Error: connection to the database not possible</p>';
    exit;
  }
  else {
    // Vai verificar se é um utilizador registado
    // cria uma pesquisa
    $sqlUser = "SELECT name,type,userId
                  FROM users
                 WHERE username='$vUsername'
                   AND passwd=sha1('$vPassword')";

     $resultadoUser = mysql_query($sqlUser,$ligacao);
     
     $ncamposUser = mysql_num_rows($resultadoUser);

     if ($ncamposUser == 0) {
       echo "<h3>Error: username or password</h3>";
       echo "<meta http-equiv='refresh' content='2; url=connect.php' />";
     }
     else {
       $linhaUser = mysql_fetch_assoc($resultadoUser);

       $vName   = $linhaUser['name'];
       $vType   = $linhaUser['type'];
       $vUserId = $linhaUser['userId'];

       echo '<h1>Connected to the database GeoThms</h1>';

       // ==================================================
       // Vai preencher os dados na tabela de acessos (logs)
       // ==================================================
       $vUserId=addslashes($vUserId);
       $timeLogin=time();

       $sqlLogs = "INSERT INTO logs
                      (userId,timeLogin,websystem)
                   VALUES
                      ($vUserId,$timeLogin,'GeoThms')";

       $resultadoLogs = mysql_query($sqlLogs,$ligacao);

       if (!$resultadoLogs) {
	 echo "<p>Erro: Logs</p>";
	 echo "<p>$sqlLogs</p>";
	 exit;
       }


       //
       // separa por tipo de utilizador
       // 
       // utilizador "Contributer" 
       //  Pode consultar os dados
       //  Pode modificar os seus dados pessoais
       //  Pode modificar os dados, nem introduzir novos dados
       if ($vType=="Contributer") {
	 $_SESSION['utilizador']=$dbcontrib;
	 $_SESSION['senha']=$dbctrbpass;
	 $_SESSION['username']=$vUsername;
	 $_SESSION['tipoUtilizador']="administrator";
	 echo "<meta http-equiv='refresh' content='2; url=contributers.php?name=$vName&type=$vType' />";
       }
       
       // utilizador "Administrator" 
       //  tem acesso ao interface de adminstração (e só a esse)
       elseif ($vType=="Administrator") {
	 $_SESSION['utilizador']=$vUsername;
	 $_SESSION['senha']=$vPassword;
	 $_SESSION['username']=$vUsername;
	 echo "<meta http-equiv='refresh' content='1; url=admins.php?name=$vName&type=$vType' />";
       }
       // utilizador "Anonymous" 
       //  Pode consultar os dados
       //  Não pode modificar os seus dados pessoais
       //  Não pode modificar os dados, nem introduzir novos dados
       // A diferença entre o utilizador anónimo e o regular é feito no ficheiro "users.php"
       elseif ($vType=="Anonymous") { 
	 $_SESSION['utilizador']=$dbregular;
	 $_SESSION['senha']=$dbregpass;
	 $_SESSION['username']=$vUsername;
	 $_SESSION['tipoUtilizador']="anonymous";	 
	 echo "<meta http-equiv='refresh' content='1; url=users.php?name=$vName&type=$vType' />";
       }
       // utilizador regular
       //  Pode modificar os seus dados pessoais
       //  Pode consultar os dados
       //  Não pode modificar os dados, nem introduzir novos dados
       else { 
	 $_SESSION['utilizador']=$dbregular;
	 $_SESSION['senha']=$dbregpass;
	 $_SESSION['username']=$vUsername;
	 $_SESSION['tipoUtilizador']="regular";
	 echo "<meta http-equiv='refresh' content='1; url=users.php?name=$vName&type=$vType' />";
       }
     }
   }
 }
?>

<?php
  require('footer.inc');
?>
